<div>
    <mat-card>
        <mat-card-title style="text-align: center;">TRAINER CARD</mat-card-title>
        <mat-card-subtitle style="text-align: center; margin-top: 20px;">Here you can set your name and see all your progress</mat-card-subtitle>
            
        <mat-card-content>
            <mat-grid-list cols="2" rowHeight="300px">
                <mat-grid-tile>
                    <form class="form">
                        <span>Name:</span>
                        <mat-form-field class="full-width" appearance="fill">
                          <mat-label style="font-family: 'Press Start 2P', cursive;">Trainer Name:</mat-label> 
                          <input matInput value={{trainerName}} name="name" [(ngModel)]="trainerName" (change)="setName()" style="font-family: 'Press Start 2P', cursive;" placeholder="Ash Ketchum">
                        </mat-form-field>
        
                        <span>From:</span>
                        <mat-form-field class="full-width" appearance="fill">
                            <mat-label style="font-family: 'Press Start 2P', cursive;">Region:</mat-label> 
                            <mat-select name="region" [(ngModel)]="region" (selectionChange)="setRegion()"  [(value)]="region">
                              <mat-option *ngFor="let region of regions" [value]="region">
                                {{region}}
                              </mat-option>
                            </mat-select>
                        </mat-form-field>
        
                        <span>Starter Pokémon:</span>
                        <mat-form-field class="full-width" appearance="fill">
                            <mat-label style="font-family: 'Press Start 2P', cursive;">Pokémon:</mat-label>
                            <mat-select name="pokemon" [(ngModel)]="favPokemon" (selectionChange)="setPokemon()" [(value)]="favPokemon">
                              <mat-option *ngFor="let pokemon of starterPokemons" [value]="pokemon">
                                {{pokemon}}
                              </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </form>
                </mat-grid-tile>
                <mat-grid-tile class="tile-blue">
                    <img *ngIf="favPokemonSprite" src={{favPokemonSprite}} style="filter: drop-shadow(2px 3px 3px rgb(0, 0, 0)); height: 80%;">
                </mat-grid-tile>
            </mat-grid-list>
        </mat-card-content>

        <mat-card>
            <mat-card-title style="text-align: center; margin-bottom: 25px;">Badges</mat-card-title>
                <mat-card-content>
                <mat-grid-list cols="2" rowHeight="2:1">
                    <mat-grid-tile>
                    <mat-list>
                        <mat-list-item>Generation 1</mat-list-item>
                        <mat-list-item>Kanto Region</mat-list-item>
                        <mat-list-item>Best Score: {{badges["1"]}}</mat-list-item>
                    </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        <img src={{kantoImage}} alt="" style="height: 70%;">
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>Generation 2</mat-list-item>
                            <mat-list-item>Johto Region</mat-list-item>
                            <mat-list-item>Best Score: {{badges["2"]}}</mat-list-item>
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        <img src={{johtoImage}} alt="" style="height: 62%;">
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>Generation 3</mat-list-item>
                            <mat-list-item>Hoenn Region</mat-list-item>
                            <mat-list-item>Best Score: {{badges["3"]}}</mat-list-item>  
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        <img src={{hoennImage}} alt="" style="height: 27%;">
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>Generation 4</mat-list-item>
                            <mat-list-item>Sinnoh Region</mat-list-item>
                            <mat-list-item>Best Score: {{badges["4"]}}</mat-list-item>  
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        More badges coming soon!
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>Generation 5</mat-list-item>
                            <mat-list-item>Unova Region</mat-list-item>
                            <mat-list-item>Best Score: {{badges["5"]}}</mat-list-item>  
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        More badges coming soon!
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>Generation 6</mat-list-item>
                            <mat-list-item>Kalos Region</mat-list-item>
                            <mat-list-item>Best Score: {{badges["6"]}}</mat-list-item>  
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        More badges coming soon!
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>Generation 7</mat-list-item>
                            <mat-list-item>Alola Region</mat-list-item>
                            <mat-list-item>Best Score: {{badges["7"]}}</mat-list-item>  
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        More badges coming soon!
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>Generation 8</mat-list-item>
                            <mat-list-item>Galar Region</mat-list-item>
                            <mat-list-item>Best Score: {{badges["8"]}}</mat-list-item>  
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        More badges coming soon!
                    </mat-grid-tile>

                    <mat-grid-tile>
                        <mat-list>
                            <mat-list-item>All Generations</mat-list-item>
                            <mat-list-item>All Regions</mat-list-item>
                            <mat-list-item>Best Score: {{badges["0"]}}</mat-list-item>  
                        </mat-list>
                    </mat-grid-tile>
                    <mat-grid-tile>
                        More badges coming soon!
                    </mat-grid-tile>
                </mat-grid-list>
            </mat-card-content>
        </mat-card>
    </mat-card>
    <button mat-raised-button (click)="onClickTop()" color="warn" style="font-family: 'Press Start 2P', cursive;  margin-left: 100px;">Go to top</button>
</div>
